Bug 178548 - Optimize accesses to how we get the direct prototype
Summary: Optimize accesses to how we get the direct prototype
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Saam Barati
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-10-19 15:28 PDT by Saam Barati
Modified: 2017-11-15 13:03 PST (History)
15 users (show)

See Also:


Attachments
test building webcore on EWS (40.45 KB, patch)
2017-10-19 16:20 PDT, Saam Barati
no flags Details | Formatted Diff | Diff
test building on EWS (40.98 KB, patch)
2017-10-19 16:25 PDT, Saam Barati
no flags Details | Formatted Diff | Diff
test building on EWS (40.98 KB, patch)
2017-10-19 16:27 PDT, Saam Barati
no flags Details | Formatted Diff | Diff
patch (47.28 KB, patch)
2017-10-19 23:59 PDT, Saam Barati
ysuzuki: review+
Details | Formatted Diff | Diff
patch for landing (47.29 KB, patch)
2017-10-20 00:10 PDT, Saam Barati
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Saam Barati 2017-10-19 15:28:12 PDT
....
Comment 1 Saam Barati 2017-10-19 16:20:14 PDT
Created attachment 324309 [details]
test building webcore on EWS
Comment 2 Saam Barati 2017-10-19 16:25:33 PDT
Created attachment 324311 [details]
test building on EWS
Comment 3 Saam Barati 2017-10-19 16:27:59 PDT
Created attachment 324312 [details]
test building on EWS
Comment 4 Saam Barati 2017-10-19 23:59:39 PDT
Created attachment 324364 [details]
patch
Comment 5 Build Bot 2017-10-20 00:02:33 PDT
Attachment 324364 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 34 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Yusuke Suzuki 2017-10-20 00:02:52 PDT
Comment on attachment 324364 [details]
patch

r=me, nice.
Comment 7 Saam Barati 2017-10-20 00:10:17 PDT
Created attachment 324365 [details]
patch for landing
Comment 8 WebKit Commit Bot 2017-10-20 00:50:13 PDT
Comment on attachment 324365 [details]
patch for landing

Clearing flags on attachment: 324365

Committed r223746: <https://trac.webkit.org/changeset/223746>
Comment 9 WebKit Commit Bot 2017-10-20 00:50:14 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2017-11-15 13:03:17 PST
<rdar://problem/35568690>